#!/bin/bash

echo "# user list"

# exclude lost+found and testuser
for user in $(ls /home/ -1 | grep -v \+ | grep -v testuser)
do
    user_esc=$(echo "$user" | sed 's/_/\\_/g')
    if [ "$(stat -c %G "/home/$user")" == "deleted" ];then
        echo "<del>~$user_esc</del>  ";
    else if [ "$(stat -c %G "/home/$user")" != "banned" ];then
    	echo "[~$user_esc](/~$user)  ";
    else
        echo "~$user_esc ([banned](banned.html#$user))  ";
    fi;fi
done
